Campaigns / REST API
Start campaign
Start a campaign to begin executing its workflow.
POST /api/campaigns/{campaignId}/startDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
campaignIdRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/campaigns/00000000-0000-4000-8000-000000000000/start" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"campaignId": {
"type": "string"
}
},
"required": [
"campaignId"
]
}